<?php

return [
    /*
    |--------------------------------------------------------------------------
    | Language files for example in example package
    |--------------------------------------------------------------------------
    |
    | The following language lines are  for  example module in example package
    | and it is used by the template/view files in this module
    |
    */

    /**
     * Singlular and plural name of the module
     */
    'name' => 'Example',
    'names' => 'Examples',
    'icon' => 'las la-list',

    /**
     * Singlular and plural name of the module
     */
    'title' => [
        'main' => 'Examples',
        'sub' => 'Examples'
    ],

    /**
     * Singlular and plural name of the module
     */
    'groups'         => [
        'main' => 'Main',
        'images' => 'Images',
        'details' => 'Details',
        'settings' => 'Settings'
    ],

    /**
     * Form sub section name for the module.
     */
    'sections' => [
        'main' => 'Main',
        'details' => 'Details',
    ],

    /**
     * Options for select/radio/check.
     */
    'options'       => [
        'select'              => [],
            'model_select'        => [],
            'enums'               => [],
            'sets'                => [],
            'status'              => [],
    ],

    /**
     * Placeholder for inputs
     */
    'placeholder'   => [
        'id'                         => 'Please enter id',
        'name'                       => 'Please enter name',
        'email'                      => 'Please enter email',
        'color'                      => 'Please enter color',
        'date'                       => 'Please select date',
        'datetime'                   => 'Please select datetime',
        'file'                       => 'Please enter file',
        'files'                      => 'Please enter files',
        'image'                      => 'Please enter image',
        'images'                     => 'Please enter images',
        'month'                      => 'Please enter month',
        'password'                   => 'Please enter password',
        'range'                      => 'Please enter range',
        'search'                     => 'Please enter search',
        'tel'                        => 'Please enter tel',
        'time'                       => 'Please enter time',
        'url'                        => 'Please enter url',
        'week'                       => 'Please enter week',
        'date_picker'                => 'Please select date picker',
        'time_picker'                => 'Please select time picker',
        'date_time_picker'           => 'Please select date time picker',
        'radios'                     => 'Please enter radios',
        'checkboxes'                 => 'Please enter checkboxes',
        'switch'                     => 'Please enter switch',
        'select'                     => 'Please select select',
        'model_select'               => 'Please select model select',
        'tinyints'                   => 'Please enter tinyints',
        'smallints'                  => 'Please enter smallints',
        'mediumints'                 => 'Please enter mediumints',
        'ints'                       => 'Please enter ints',
        'bigints'                    => 'Please enter bigints',
        'decimals'                   => 'Please enter decimals',
        'floats'                     => 'Please enter floats',
        'doubles'                    => 'Please enter doubles',
        'reals'                      => 'Please enter reals',
        'bits'                       => 'Please enter bits',
        'booleans'                   => 'Please enter booleans',
        'dates'                      => 'Please select dates',
        'datetimes'                  => 'Please select datetimes',
        'timestamps'                 => 'Please select timestamps',
        'times'                      => 'Please select times',
        'years'                      => 'Please enter years',
        'chars'                      => 'Please enter chars',
        'varchars'                   => 'Please enter varchars',
        'tinytexts'                  => 'Please enter tinytexts',
        'texts'                      => 'Please enter texts',
        'mediumtexts'                => 'Please enter mediumtexts',
        'longtexts'                  => 'Please enter longtexts',
        'binarys'                    => 'Please enter binarys',
        'varbinarys'                 => 'Please enter varbinarys',
        'tinyblobs'                  => 'Please enter tinyblobs',
        'mediumblobs'                => 'Please enter mediumblobs',
        'blobs'                      => 'Please enter blobs',
        'longblobs'                  => 'Please enter longblobs',
        'enums'                      => 'Please select enums',
        'sets'                       => 'Please select sets',
        'slug'                       => 'Please enter slug',
        'status'                     => 'Please select status',
        'user_id'                    => 'Please enter user id',
        'user_type'                  => 'Please enter user type',
        'upload_folder'              => 'Please enter upload folder',
        'deleted_at'                 => 'Please select deleted at',
        'created_at'                 => 'Please select created at',
        'updated_at'                 => 'Please select updated at',
    ],

    /**
     * Labels for inputs.
     */
    'label'         => [
        'id'                         => 'Id',
        'name'                       => 'Name',
        'email'                      => 'Email',
        'color'                      => 'Color',
        'date'                       => 'Date',
        'datetime'                   => 'Datetime',
        'file'                       => 'File',
        'files'                      => 'Files',
        'image'                      => 'Image',
        'images'                     => 'Images',
        'month'                      => 'Month',
        'password'                   => 'Password',
        'range'                      => 'Range',
        'search'                     => 'Search',
        'tel'                        => 'Tel',
        'time'                       => 'Time',
        'url'                        => 'Url',
        'week'                       => 'Week',
        'date_picker'                => 'Date picker',
        'time_picker'                => 'Time picker',
        'date_time_picker'           => 'Date time picker',
        'radios'                     => 'Radios',
        'checkboxes'                 => 'Checkboxes',
        'switch'                     => 'Switch',
        'select'                     => 'Select',
        'model_select'               => 'Model select',
        'tinyints'                   => 'Tinyints',
        'smallints'                  => 'Smallints',
        'mediumints'                 => 'Mediumints',
        'ints'                       => 'Ints',
        'bigints'                    => 'Bigints',
        'decimals'                   => 'Decimals',
        'floats'                     => 'Floats',
        'doubles'                    => 'Doubles',
        'reals'                      => 'Reals',
        'bits'                       => 'Bits',
        'booleans'                   => 'Booleans',
        'dates'                      => 'Dates',
        'datetimes'                  => 'Datetimes',
        'timestamps'                 => 'Timestamps',
        'times'                      => 'Times',
        'years'                      => 'Years',
        'chars'                      => 'Chars',
        'varchars'                   => 'Varchars',
        'tinytexts'                  => 'Tinytexts',
        'texts'                      => 'Texts',
        'mediumtexts'                => 'Mediumtexts',
        'longtexts'                  => 'Longtexts',
        'binarys'                    => 'Binarys',
        'varbinarys'                 => 'Varbinarys',
        'tinyblobs'                  => 'Tinyblobs',
        'mediumblobs'                => 'Mediumblobs',
        'blobs'                      => 'Blobs',
        'longblobs'                  => 'Longblobs',
        'enums'                      => 'Enums',
        'sets'                       => 'Sets',
        'slug'                       => 'Slug',
        'status'                     => 'Status',
        'user_id'                    => 'User id',
        'user_type'                  => 'User type',
        'upload_folder'              => 'Upload folder',
        'deleted_at'                 => 'Deleted at',
        'created_at'                 => 'Created at',
        'updated_at'                 => 'Updated at',
    ],

        /**
     * Label for workflows.
     */
    'workflow' => [
        'submit' => [
            'label' => 'Submit',
            'icon' => 'save',
            'varient' => 'outline',
        ],
        'approve' => [
            'label' => 'Approve',
            'icon' => 'save',
            'varient' => 'outline',
        ],
        'reject' => [
            'label' => 'Reject',
            'icon' => 'save',
            'varient' => 'danger',
        ],
        'publish' => [
            'label' => 'Publish',
            'icon' => 'save',
            'varient' => 'outline',
        ],
        'unpublish' => [
            'label' => 'Unpublish',
            'icon' => 'save',
            'varient' => 'outline',
        ],
        'archive' => [
            'label' => 'Archive',
            'icon' => 'save',
            'varient' => 'danger',
        ],
        'unarchive' => [
            'label' => 'Unarchive',
            'icon' => 'save',
            'varient' => 'outline',
        ],
    ],
    
    ];
