<?php


namespace Lavalite\Example\Actions;

use Illuminate\Http\Request;
use Illuminate\Support\Str;
use Lavalite\Example\Models\Example;
use Litepie\Actions\Concerns\AsAction;

class ExampleExim
{
    use AsAction;

    private $model;

    public function handle(Request $request, string $exim)
    {
        $this->model = app(Example::class);
        $function = Str::camel($exim);
        return $this->$function($request);
    }

    public function import(Request $request)
    {
        return $this->model;
    }

    public function export(Request $request)
    {
        return $this->model;
    }

}
