<?php

namespace Lavalite\Example\Actions;

use Illuminate\Http\Request;
use Lavalite\Example\Models\Example;
use Litepie\Actions\Concerns\AsAction;
use Illuminate\Support\Str;

class ExampleReport
{
    use AsAction;

    private $model;

    public function handle(Request $request, string $report)
    {
        $this->model = app(Example::class);
        $function = Str::camel($report);
        return $this->$function();
    }
    
    public function sample(Request $request)
    {
        return $request;
    }

}
