<?php

namespace Lavalite\Example\Policies;

use Litepie\User\Interfaces\UserPolicyInterface;

trait ExampleExim
{

    /**
     * Determine if the given user can approve the given example.
     *
     * @param UserPolicyInterface $authUser
     *
     * @return bool
     */
    public function import(UserPolicyInterface $authUser)
    {
        if ($authUser->canDo('example.example.import')) {
            return true;
        }

        return false;
    }

    /**
     * Determine if the given user can approve the given example.
     *
     * @param UserPolicyInterface $authUser
     *
     * @return bool
     */
    public function export(UserPolicyInterface $authUser)
    {
        if ($authUser->canDo('example.example.export')) {
            return true;
        }

        return false;
    }
}
