<?php


return  
    [
        'model' => [
            'model' => \Lavalite\Example\Models\Example::class,
            'table' => 'lavalite_example_examples',
            'hidden'=> [],
            'visible' => [],
            'guarded' => ['*'],
            'slugs' => ['slug' => 'name'],
            'dates' => ['deleted_at', 'created_at', 'updated_at'],
            'appends' => [],
            'fillable' => ['name',  'email',  'color',  'date',  'datetime',  'file',  'files',  'image',  'images',  'month',  'password',  'range',  'search',  'tel',  'time',  'url',  'week',  'date_picker',  'time_picker',  'date_time_picker',  'radios',  'checkboxes',  'switch',  'select',  'model_select',  'tinyints',  'smallints',  'mediumints',  'ints',  'bigints',  'decimals',  'floats',  'doubles',  'reals',  'bits',  'booleans',  'dates',  'datetimes',  'timestamps',  'times',  'years',  'chars',  'varchars',  'tinytexts',  'texts',  'mediumtexts',  'longtexts',  'binarys',  'varbinarys',  'tinyblobs',  'mediumblobs',  'blobs',  'longblobs',  'enums',  'sets',  'status',  'user_id',  'user_type'],
            'translatables' => [],
            'upload_folder' => 'example/example',
            'uploads' => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts' => [
             
                'marking'    => 'array',
            
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision' => [],
            'perPage' => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'search' => [
            
        ],

        'list' => [
            "name" => [
                "key" => "name", 
                "type" => "text", 
                "label" => 'example::example.label.name', 
                'sort' => true,
                'roles' => [],
            ],
            "email" => [
                "key" => "email", 
                "type" => "text", 
                "label" => 'example::example.label.email', 
                'sort' => true,
                'roles' => [],
            ],
            "color" => [
                "key" => "color", 
                "type" => "text", 
                "label" => 'example::example.label.color', 
                'sort' => true,
                'roles' => [],
            ],
            "date" => [
                "key" => "date", 
                "type" => "text", 
                "label" => 'example::example.label.date', 
                'sort' => true,
                'roles' => [],
            ],
            "datetime" => [
                "key" => "datetime", 
                "type" => "text", 
                "label" => 'example::example.label.datetime', 
                'sort' => true,
                'roles' => [],
            ],
            "file" => [
                "key" => "file", 
                "type" => "text", 
                "label" => 'example::example.label.file', 
                'sort' => true,
                'roles' => [],
            ],
            "files" => [
                "key" => "files", 
                "type" => "text", 
                "label" => 'example::example.label.files', 
                'sort' => true,
                'roles' => [],
            ],
            "image" => [
                "key" => "image", 
                "type" => "text", 
                "label" => 'example::example.label.image', 
                'sort' => true,
                'roles' => [],
            ],
            "images" => [
                "key" => "images", 
                "type" => "text", 
                "label" => 'example::example.label.images', 
                'sort' => true,
                'roles' => [],
            ],
            "month" => [
                "key" => "month", 
                "type" => "text", 
                "label" => 'example::example.label.month', 
                'sort' => true,
                'roles' => [],
            ],
            "password" => [
                "key" => "password", 
                "type" => "text", 
                "label" => 'example::example.label.password', 
                'sort' => true,
                'roles' => [],
            ],
            "range" => [
                "key" => "range", 
                "type" => "text", 
                "label" => 'example::example.label.range', 
                'sort' => true,
                'roles' => [],
            ],
            "search" => [
                "key" => "search", 
                "type" => "text", 
                "label" => 'example::example.label.search', 
                'sort' => true,
                'roles' => [],
            ],
            "tel" => [
                "key" => "tel", 
                "type" => "text", 
                "label" => 'example::example.label.tel', 
                'sort' => true,
                'roles' => [],
            ],
            "time" => [
                "key" => "time", 
                "type" => "text", 
                "label" => 'example::example.label.time', 
                'sort' => true,
                'roles' => [],
            ],
            "url" => [
                "key" => "url", 
                "type" => "text", 
                "label" => 'example::example.label.url', 
                'sort' => true,
                'roles' => [],
            ],
            "week" => [
                "key" => "week", 
                "type" => "text", 
                "label" => 'example::example.label.week', 
                'sort' => true,
                'roles' => [],
            ],
            "date_picker" => [
                "key" => "date_picker", 
                "type" => "text", 
                "label" => 'example::example.label.date_picker', 
                'sort' => true,
                'roles' => [],
            ],
            "time_picker" => [
                "key" => "time_picker", 
                "type" => "text", 
                "label" => 'example::example.label.time_picker', 
                'sort' => true,
                'roles' => [],
            ],
            "date_time_picker" => [
                "key" => "date_time_picker", 
                "type" => "text", 
                "label" => 'example::example.label.date_time_picker', 
                'sort' => true,
                'roles' => [],
            ],
            "radios" => [
                "key" => "radios", 
                "type" => "text", 
                "label" => 'example::example.label.radios', 
                'sort' => true,
                'roles' => [],
            ],
            "checkboxes" => [
                "key" => "checkboxes", 
                "type" => "text", 
                "label" => 'example::example.label.checkboxes', 
                'sort' => true,
                'roles' => [],
            ],
            "switch" => [
                "key" => "switch", 
                "type" => "text", 
                "label" => 'example::example.label.switch', 
                'sort' => true,
                'roles' => [],
            ],
            "select" => [
                "key" => "select", 
                "type" => "text", 
                "label" => 'example::example.label.select', 
                'sort' => true,
                'roles' => [],
            ],
            "model_select" => [
                "key" => "model_select", 
                "type" => "text", 
                "label" => 'example::example.label.model_select', 
                'sort' => true,
                'roles' => [],
            ],
            "tinyints" => [
                "key" => "tinyints", 
                "type" => "text", 
                "label" => 'example::example.label.tinyints', 
                'sort' => true,
                'roles' => [],
            ],
            "smallints" => [
                "key" => "smallints", 
                "type" => "text", 
                "label" => 'example::example.label.smallints', 
                'sort' => true,
                'roles' => [],
            ],
            "mediumints" => [
                "key" => "mediumints", 
                "type" => "text", 
                "label" => 'example::example.label.mediumints', 
                'sort' => true,
                'roles' => [],
            ],
            "ints" => [
                "key" => "ints", 
                "type" => "text", 
                "label" => 'example::example.label.ints', 
                'sort' => true,
                'roles' => [],
            ],
            "bigints" => [
                "key" => "bigints", 
                "type" => "text", 
                "label" => 'example::example.label.bigints', 
                'sort' => true,
                'roles' => [],
            ],
            "decimals" => [
                "key" => "decimals", 
                "type" => "text", 
                "label" => 'example::example.label.decimals', 
                'sort' => true,
                'roles' => [],
            ],
            "floats" => [
                "key" => "floats", 
                "type" => "text", 
                "label" => 'example::example.label.floats', 
                'sort' => true,
                'roles' => [],
            ],
            "doubles" => [
                "key" => "doubles", 
                "type" => "text", 
                "label" => 'example::example.label.doubles', 
                'sort' => true,
                'roles' => [],
            ],
            "reals" => [
                "key" => "reals", 
                "type" => "text", 
                "label" => 'example::example.label.reals', 
                'sort' => true,
                'roles' => [],
            ],
            "bits" => [
                "key" => "bits", 
                "type" => "text", 
                "label" => 'example::example.label.bits', 
                'sort' => true,
                'roles' => [],
            ],
            "booleans" => [
                "key" => "booleans", 
                "type" => "text", 
                "label" => 'example::example.label.booleans', 
                'sort' => true,
                'roles' => [],
            ],
            "dates" => [
                "key" => "dates", 
                "type" => "text", 
                "label" => 'example::example.label.dates', 
                'sort' => true,
                'roles' => [],
            ],
            "datetimes" => [
                "key" => "datetimes", 
                "type" => "text", 
                "label" => 'example::example.label.datetimes', 
                'sort' => true,
                'roles' => [],
            ],
            "timestamps" => [
                "key" => "timestamps", 
                "type" => "text", 
                "label" => 'example::example.label.timestamps', 
                'sort' => true,
                'roles' => [],
            ],
            "times" => [
                "key" => "times", 
                "type" => "text", 
                "label" => 'example::example.label.times', 
                'sort' => true,
                'roles' => [],
            ],
            "years" => [
                "key" => "years", 
                "type" => "text", 
                "label" => 'example::example.label.years', 
                'sort' => true,
                'roles' => [],
            ],
            "chars" => [
                "key" => "chars", 
                "type" => "text", 
                "label" => 'example::example.label.chars', 
                'sort' => true,
                'roles' => [],
            ],
            "varchars" => [
                "key" => "varchars", 
                "type" => "text", 
                "label" => 'example::example.label.varchars', 
                'sort' => true,
                'roles' => [],
            ],
            "texts" => [
                "key" => "texts", 
                "type" => "text", 
                "label" => 'example::example.label.texts', 
                'sort' => true,
                'roles' => [],
            ],
            "binarys" => [
                "key" => "binarys", 
                "type" => "text", 
                "label" => 'example::example.label.binarys', 
                'sort' => true,
                'roles' => [],
            ],
            "varbinarys" => [
                "key" => "varbinarys", 
                "type" => "text", 
                "label" => 'example::example.label.varbinarys', 
                'sort' => true,
                'roles' => [],
            ],
            "blobs" => [
                "key" => "blobs", 
                "type" => "text", 
                "label" => 'example::example.label.blobs', 
                'sort' => true,
                'roles' => [],
            ],
            "enums" => [
                "key" => "enums", 
                "type" => "text", 
                "label" => 'example::example.label.enums', 
                'sort' => true,
                'roles' => [],
            ],
            "sets" => [
                "key" => "sets", 
                "type" => "text", 
                "label" => 'example::example.label.sets', 
                'sort' => true,
                'roles' => [],
            ],
        ],

        'form' => [
            'name' => [
                "element" => 'text',
                "type" => 'text',
                "label" => 'example::example.label.name',
                "placeholder" => 'example::example.placeholder.name',
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'email' => [
                "element" => 'email',
                "type" => 'email',
                "label" => 'example::example.label.email',
                "placeholder" => 'example::example.placeholder.email',
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'color' => [
                "element" => 'color',
                "type" => 'color',
                "label" => 'example::example.label.color',
                "placeholder" => 'example::example.placeholder.color',
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'date' => [
                "element" => 'date_picker',
                "type" => 'date_picker',
                "label" => 'example::example.label.date',
                "placeholder" => 'example::example.placeholder.date',
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'datetime' => [
                "element" => 'date_time_picker',
                "type" => 'date_time_picker',
                "label" => 'example::example.label.datetime',
                "placeholder" => 'example::example.placeholder.datetime',
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'file' => [
                "element" => 'file',
                "type" => 'file',
                "label" => 'example::example.label.file',
                "placeholder" => 'example::example.placeholder.file',
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "12",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'files' => [
                "element" => 'file',
                "type" => 'files',
                "label" => 'example::example.label.files',
                "placeholder" => 'example::example.placeholder.files',
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "12",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'image' => [
                "element" => 'file',
                "type" => 'image',
                "label" => 'example::example.label.image',
                "placeholder" => 'example::example.placeholder.image',
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "12",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'images' => [
                "element" => 'file',
                "type" => 'images',
                "label" => 'example::example.label.images',
                "placeholder" => 'example::example.placeholder.images',
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "12",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'month' => [
                "element" => 'month',
                "type" => 'month',
                "label" => 'example::example.label.month',
                "placeholder" => 'example::example.placeholder.month',
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'password' => [
                "element" => 'password',
                "type" => 'password',
                "label" => 'example::example.label.password',
                "placeholder" => 'example::example.placeholder.password',
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'range' => [
                "element" => 'range',
                "type" => 'range',
                "label" => 'example::example.label.range',
                "placeholder" => 'example::example.placeholder.range',
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'search' => [
                "element" => 'search',
                "type" => 'search',
                "label" => 'example::example.label.search',
                "placeholder" => 'example::example.placeholder.search',
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'tel' => [
                "element" => 'tel',
                "type" => 'tel',
                "label" => 'example::example.label.tel',
                "placeholder" => 'example::example.placeholder.tel',
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'time' => [
                "element" => 'time',
                "type" => 'time',
                "label" => 'example::example.label.time',
                "placeholder" => 'example::example.placeholder.time',
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'url' => [
                "element" => 'url',
                "type" => 'url',
                "label" => 'example::example.label.url',
                "placeholder" => 'example::example.placeholder.url',
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'week' => [
                "element" => 'week',
                "type" => 'week',
                "label" => 'example::example.label.week',
                "placeholder" => 'example::example.placeholder.week',
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'date_picker' => [
                "element" => 'date_picker',
                "type" => 'date_picker',
                "label" => 'example::example.label.date_picker',
                "placeholder" => 'example::example.placeholder.date_picker',
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'time_picker' => [
                "element" => 'time_picker',
                "type" => 'time_picker',
                "label" => 'example::example.label.time_picker',
                "placeholder" => 'example::example.placeholder.time_picker',
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'date_time_picker' => [
                "element" => 'date_time_picker',
                "type" => 'date_time_picker',
                "label" => 'example::example.label.date_time_picker',
                "placeholder" => 'example::example.placeholder.date_time_picker',
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'radios' => [
                "element" => 'radios',
                "type" => 'radios',
                "label" => 'example::example.label.radios',
                "placeholder" => 'example::example.placeholder.radios',
                "rules" => '',
                "options" => function(){
                    return [];
                },
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'checkboxes' => [
                "element" => 'checkboxes',
                "type" => 'checkboxes',
                "label" => 'example::example.label.checkboxes',
                "placeholder" => 'example::example.placeholder.checkboxes',
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'switch' => [
                "element" => 'switch',
                "type" => 'switch',
                "label" => 'example::example.label.switch',
                "placeholder" => 'example::example.placeholder.switch',
                "rules" => '',
                "options" => function(){
                    return [];
                },
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'select' => [
                "element" => 'select',
                "type" => 'select',
                "label" => 'example::example.label.select',
                "placeholder" => 'example::example.placeholder.select',
                "rules" => '',
                "options" => function(){
                    return [];
                },
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'model_select' => [
                "element" => 'model_select',
                "type" => 'model_select',
                "label" => 'example::example.label.model_select',
                "placeholder" => 'example::example.placeholder.model_select',
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'tinyints' => [
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'example::example.label.tinyints',
                "placeholder" => 'example::example.placeholder.tinyints',
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'smallints' => [
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'example::example.label.smallints',
                "placeholder" => 'example::example.placeholder.smallints',
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'mediumints' => [
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'example::example.label.mediumints',
                "placeholder" => 'example::example.placeholder.mediumints',
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'ints' => [
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'example::example.label.ints',
                "placeholder" => 'example::example.placeholder.ints',
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'bigints' => [
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'example::example.label.bigints',
                "placeholder" => 'example::example.placeholder.bigints',
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'decimals' => [
                "element" => 'decimal',
                "type" => 'decimal',
                "label" => 'example::example.label.decimals',
                "placeholder" => 'example::example.placeholder.decimals',
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'floats' => [
                "element" => 'decimal',
                "type" => 'decimal',
                "label" => 'example::example.label.floats',
                "placeholder" => 'example::example.placeholder.floats',
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'doubles' => [
                "element" => 'decimal',
                "type" => 'decimal',
                "label" => 'example::example.label.doubles',
                "placeholder" => 'example::example.placeholder.doubles',
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'reals' => [
                "element" => 'decimal',
                "type" => 'decimal',
                "label" => 'example::example.label.reals',
                "placeholder" => 'example::example.placeholder.reals',
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'bits' => [
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'example::example.label.bits',
                "placeholder" => 'example::example.placeholder.bits',
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'booleans' => [
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'example::example.label.booleans',
                "placeholder" => 'example::example.placeholder.booleans',
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'dates' => [
                "element" => 'date_picker',
                "type" => 'date_picker',
                "label" => 'example::example.label.dates',
                "placeholder" => 'example::example.placeholder.dates',
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'datetimes' => [
                "element" => 'date_time_picker',
                "type" => 'date_time_picker',
                "label" => 'example::example.label.datetimes',
                "placeholder" => 'example::example.placeholder.datetimes',
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'timestamps' => [
                "element" => 'date_time_picker',
                "type" => 'date_time_picker',
                "label" => 'example::example.label.timestamps',
                "placeholder" => 'example::example.placeholder.timestamps',
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'times' => [
                "element" => 'time_picker',
                "type" => 'time_picker',
                "label" => 'example::example.label.times',
                "placeholder" => 'example::example.placeholder.times',
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'years' => [
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'example::example.label.years',
                "placeholder" => 'example::example.placeholder.years',
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'chars' => [
                "element" => 'text',
                "type" => 'text',
                "label" => 'example::example.label.chars',
                "placeholder" => 'example::example.placeholder.chars',
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'varchars' => [
                "element" => 'text',
                "type" => 'text',
                "label" => 'example::example.label.varchars',
                "placeholder" => 'example::example.placeholder.varchars',
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'tinytexts' => [
                "element" => 'textarea',
                "type" => 'textarea',
                "label" => 'example::example.label.tinytexts',
                "placeholder" => 'example::example.placeholder.tinytexts',
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'texts' => [
                "element" => 'text',
                "type" => 'text',
                "label" => 'example::example.label.texts',
                "placeholder" => 'example::example.placeholder.texts',
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'mediumtexts' => [
                "element" => 'textarea',
                "type" => 'textarea',
                "label" => 'example::example.label.mediumtexts',
                "placeholder" => 'example::example.placeholder.mediumtexts',
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'longtexts' => [
                "element" => 'html_editor',
                "type" => 'html_editor',
                "label" => 'example::example.label.longtexts',
                "placeholder" => 'example::example.placeholder.longtexts',
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "12",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'binarys' => [
                "element" => 'text',
                "type" => 'text',
                "label" => 'example::example.label.binarys',
                "placeholder" => 'example::example.placeholder.binarys',
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'varbinarys' => [
                "element" => 'text',
                "type" => 'text',
                "label" => 'example::example.label.varbinarys',
                "placeholder" => 'example::example.placeholder.varbinarys',
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'tinyblobs' => [
                "element" => 'textarea',
                "type" => 'textarea',
                "label" => 'example::example.label.tinyblobs',
                "placeholder" => 'example::example.placeholder.tinyblobs',
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'mediumblobs' => [
                "element" => 'textarea',
                "type" => 'textarea',
                "label" => 'example::example.label.mediumblobs',
                "placeholder" => 'example::example.placeholder.mediumblobs',
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'blobs' => [
                "element" => 'textarea',
                "type" => 'textarea',
                "label" => 'example::example.label.blobs',
                "placeholder" => 'example::example.placeholder.blobs',
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'longblobs' => [
                "element" => 'html_editor',
                "type" => 'html_editor',
                "label" => 'example::example.label.longblobs',
                "placeholder" => 'example::example.placeholder.longblobs',
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "12",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'enums' => [
                "element" => 'radios',
                "type" => 'radios',
                "label" => 'example::example.label.enums',
                "placeholder" => 'example::example.placeholder.enums',
                "rules" => '',
                "options" => function(){
                    return [];
                },
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'sets' => [
                "element" => 'radios',
                "type" => 'radios',
                "label" => 'example::example.label.sets',
                "placeholder" => 'example::example.placeholder.sets',
                "rules" => '',
                "options" => function(){
                    return [];
                },
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
        ],

        'urls' => [
            'new' => [
                'url' => 'example/example/new',
                'method' => 'GET',
            ],
            'create' => [
                'url' => 'example/example/create',
                'method' => 'GET',
            ],
            'store' => [
                'url' => 'example/example',
                'method' => 'POST',
            ],
            'update' => [
                'url' => 'example/example',
                'method' => 'PUT',
            ],
            'list' => [
                'url' => 'example/example',
                'method' => 'GET',
            ],
            'delete' => [
                'url' => 'example/example',
                'method' => 'DELETE',
            ],
        ],
        'order' => [
            'created_at' => 'example::example.label.created_at',
            'name' => 'example::example.label.name',
            'status' => 'example::example.label.status',
        ],
        'groups' => [
            'main' => 'example::example.groups.main',
            'details' => 'example::example.groups.details',
            'images' => 'example::example.groups.images',
            'settings' => 'example::example.groups.settings',
        ],
        'controller' => [
            'provider' => 'Lavalite',
            'package' => 'Example',
            'module' => 'Example',
        ],

         
        'workflow' => [
            'type' => 'workflow',
            'marking_store' => [
                'type' => 'multiple_state',
                'arguments' => ['status'],
                // 'property' => 'status'
            ],
            'supports' => [
                \Lavalite\Example\Models\Example::class,
            ],
            'places' => [
                'Draft',
                'Pending',
                'Approved',
                'Closed',
                'Published',
                'Archived',
                'Unpublished',
            ],
            'initial_places' => ['Draft'],
            'transitions' => [
                'submit' => [
                    'from' => 'Draft',
                    'to' => 'Pending',
                    'metadata' => [
                        'roles' => [
                            'user' => ['*'],
                        ],
                        'rules' => [
                            'name' => 'required',
                        ]
                    ],
                ],
                'reject' => [
                    'from' => 'Pending',
                    'to' => 'Draft',
                    'metadata' => [
                        'roles' => [
                            'user' => ['superuser'],
                            'team' => ['admin', 'manager'],
                        ],
                        'form' => [
                            'count' => [
                                "element" => 'select',
                                "type" => 'select',
                                "label" => 'example::example.label.count',
                                "placeholder" => 'example::example.placeholder.count',
                                "options" => call_user_func(function () {
                                    return [
                                        1 => ['value' => 1, 'text' => 1],
                                        2 => ['value' => 2, 'text' => 2],
                                        3 => ['value' => 3, 'text' => 3],
                                        4 => ['value' => 4, 'text' => 4]
                                    ];
                                }),
                                "col" => "12",
                            ],
                            'comment' => [
                                "element" => 'textarea',
                                "type" => 'text',
                                "required" => 'required',
                                "label" => 'example::example.label.comment',
                                "placeholder" => 'example::example.placeholder.comment',
                                "col" => "12",
                            ],
                        ],
                    ],
                ],
                'approve' => [
                    'from' => 'Pending',
                    'to' => 'Approved',
                    'metadata' => [
                        'roles' => [
                            'user' => ['superuser'],
                            'team' => ['admin', 'manager'],
                        ]
                    ],
                ],
                'publish' => [
                    'from' => ['Approved', 'Unpublished'],
                    'to' => 'Published',
                    'metadata' => [
                        'roles' => [
                            'user' => ['superuser'],
                            'team' => ['admin'],
                        ]
                    ],
                ],
                'unpublish' => [
                    'from' => ['Published'],
                    'to' => 'Unpublished',
                    'metadata' => [
                        'roles' => [
                            'user' => ['superuser', 'admin'],
                            'team' => ['admin'],
                        ]
                    ],
                ],
                'archive' => [
                    'from' => ['Published', 'Unpublished'],
                    'to' => 'Archived',
                    'metadata' => [
                        'roles' => [
                            'user' => ['superuser', 'admin'],
                            'team' => ['admin'],
                        ]
                    ],
                ],
                'unarchive' => [
                    'from' => ['Archived'],
                    'to' => 'Draft',
                    'metadata' => [
                        'roles' => [
                            'user' => ['superuser', 'admin'],
                            'team' => ['admin'],
                        ]
                    ],
                ],
            ],
        ],
        
        
    ];
