<?php

// Routes for example.

// Guard routes for example
Route::prefix('{guard}/example')->group(function () {

    Route::get('example/report/{report}', 'ExampleReportController');
    Route::post('example/exim/{exim}', 'ExampleEximController');
    Route::patch('example/workflow/{example}/{transition}', 'ExampleWorkflowController');
    Route::resource('example', 'ExampleResourceController');
});



// Public routes for example
Route::get('examples/', 'ExamplePublicController@index');
Route::get('example/{slug?}', 'ExamplePublicController@show');
